function stat = analyzeData(info,secData)

zeroXLen = length(info.zero_cross_x);
secDataLen = length(secData);
timePer = zeros(1,zeroXLen-2);
sampT = zeros(1,secDataLen-2);

for i = 2:zeroXLen
    timePer(i) = info.zero_cross_x(i)-info.zero_cross_x(i-1);
end

for j = 2:secDataLen
    sampT(j) = secData(j)-secData(j-1);
end

stat.meanTimePer = mean(timePer);
stat.stdTimePer = std(timePer);
stat.meanSampT = mean(sampT);
stat.stdSampT = std(sampT);
stat.meanAmp = mean(abs(info.max_y));
stat.stdAmp = std(abs(info.max_y));
stat.meanR = mean(info.R);
stat.stdR = std(info.R);