function [A1out A2out zerox zeroy maxx maxy minx miny R] = singhal_met(x,y)
len = length(y);
zero_cross_x = [];
zero_cross_y = [];
max_x = [];
max_y = [];
min_x = [];
min_y = [];
R = [];
A1_tab = [];
A2_tab = [];
A1_int_y = zeros(len,1);
A2_int_y = zeros(len,1);
zero_c = 1;
max_c = 1;
min_c = 1;
r_count = 1;
A1 = 0;
A2 = 0;
for i=2:len-1
    r = sign(y(i)-y(i-1));
    rN = sign(y(i+1)-y(i));
    if sign(y(i))~=sign(y(i+1));
        zero_cross_x(zero_c) = x(i);
        zero_cross_y(zero_c) = y(i);
        zero_c = zero_c + 1;
        if(A1>0 && A2 ~=0)
            R(r_count) = A1/A2;
            A1_tab(r_count) = A1;
            A2_tab(r_count) = A2;
            r_count = r_count +1;
        elseif(A1<0 && A1 ~=0)
            R(r_count) = A2/A1;
            A1_tab(r_count) = A1;
            A2_tab(r_count) = A2;
            r_count = r_count +1;
        end
        A1 = 0;
        A2 = 0;
    elseif r == 1 || (r == 0 && (rN == 0 || rN == 1))
        A1 = A1 + (y(i)+y(i+1))*(x(i+1)-x(i))/2;
        A1_int_y(i+1) = y(i+1);
        if rN == -1 || rN == 0
            max_y(max_c) = y(i);
            max_x(max_c) = x(i);
            max_c = max_c + 1;
        end
    elseif r == -1 || (r == 0 && (rN == 0 || rN == -1))
        A2 = A2 + (y(i)+y(i+1))*(x(i+1)-x(i))/2;
        A2_int_y(i+1) = y(i+1);
        if rN == 1 || rN == 0
            min_y(min_c) = y(i);
            min_x(min_c) = x(i);
            min_c = min_c + 1;
        end
    end
end

A1out = A1_int_y;
A2out = A2_int_y;
zerox = zero_cross_x;
zeroy = zero_cross_y;
maxx = max_x;
maxy = max_y;
minx = min_x;
miny = min_y;
Rout = R;