%Constants for gas tubrine

Itot   = 200;              %Total moment of inertia 
N0     =13434;             %Compressor nominal shaft speed [RPM]
Omega0 =(2*pi*N0)/60;      %Compressor nominal shaft speed [Rad/s]

%Speed PI controller
Kps=-10;
Tis=100;
Maxs=1.05*Omega0;
Mins=0.9*Omega0;

%Torque PI controller
Kpt=50                    %Controller proportional gain
Tit=5                     %Controller integral gain
Maxt=30000;               %Maximum output 
Mint=0;                   %Minimum output
