function [secOut timeOut measOut] = convertData(textdata, data)

s_time = textdata;
s_data = data;

N = length(s_time);
meas = zeros(N,1);
time = zeros(N,1);
sec = zeros(N,1);
for i=1:N-1  
    mid_d = char(cellstr(s_time(i,1)));
    mid_t = char(cellstr(s_time(i,2)));
    y = sscanf(mid_d(7:10),'%d');
    mth = sscanf(mid_d(4:5),'%d');
    d = sscanf(mid_d(1:2),'%d');
    h = sscanf(mid_t(1:2),'%d');
    min = sscanf(mid_t(4:5),'%d');
    s = sscanf(mid_t(7:8),'%d');
    meas(N-i) = s_data(i);
    sec(N-i) = s + 60*min + 3600*h + 86400*d;
    time(N-i) = datenum([y mth d h min s]);
end

first_sec = sec(1);
for j = 1:N-1
    sec(j) = sec(j) - first_sec;
end

secOut = sec(1:N-1);
timeOut = time(1:N-1);
measOut = meas(1:N-1);