clc
clear all
load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\LICData\AnalogInput.mat'
%load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\LICData\ControlOutput.mat'
load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\LICData\ExtSetPoint'
%load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\LICData\IntSetPoint.mat'
%load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\PDData\PresSensor.mat'

%load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\PC2Data\SPPres2.mat'
%load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\PC2Data\AnalogInputPres2.mat'
load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\PC1Data\SPPres1.mat'
load 'C:\Documents and Settings\asgeirk\My Documents\My Dropbox\Master\Algorithm\RealCase_test\Converted_data\PC1Data\AnalogInputPres1.mat'

%aktuelt dataomrde level loop
startSlev = 32023;
endSlev = 32901;

levelMeas = AnalogInputMeas(startSlev:endSlev)-72;
levelSec = AnalogInputSec(startSlev:endSlev)-AnalogInputSec(startSlev)+1;
levelTime = AnalogInputTime(startSlev:endSlev);
% levelMeas = AnalogInputMeas;
% levelSec = AnalogInputSec;
% levelTime = AnalogInputTime;

%aktuelt dataomrde pressure loop
startSpres = 2078;
endSpres = 2334;

presMeas = AnalogInputPres1Meas(startSpres:endSpres)-mean(AnalogInputPres1Meas(startSpres:endSpres));
presSec = AnalogInputPres1Sec(startSpres:endSpres)-AnalogInputPres1Sec(startSpres)+1;
presTime = AnalogInputPres1Time(startSpres:endSpres);
% presMeas = AnalogInputPres1Meas;
% presSec = AnalogInputPres1Sec;
% presTime = AnalogInputPres1Time;

% 
% close all
% f1 = figure(1);
% plot(levelSec,levelMeas)
% %datetick('x','dd-mmm','keepticks')
% 
% f2 = figure(2);
% plot(presSec,presMeas)
%datetick('x','dd-mmm','keepticks')
%% level controller test
[level.A1_int_y level.A2_int_y level.zero_cross_x level.zero_cross_y level.max_x level.max_y level.min_x level.min_y level.R] = singhal_met(levelSec,levelMeas);

f3 = figure(3);
plot(levelSec,levelMeas,'k');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
%axis([1000 1800 -0.6 0.6]);
ylabel('Level control error (bar)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h1 = stem(levelSec,level.A1_int_y);
set(h1,'marker','none');
set(h1,'color','red');
h2 = stem(levelSec,level.A2_int_y);
set(h2,'marker','none');
set(h2,'color','blue');
hold off;
set(f3, 'PaperUnits', 'centimeters');
set(f3, 'PaperSize', [15 10]);
set(f3, 'PaperPosition', [0 0 15 10]);
saveas(f3,'alg_realtest_level','pdf')

levelStat = analyzeData(level,levelSec);


%% pressure controller test
[pres.A1_int_y pres.A2_int_y pres.zero_cross_x pres.zero_cross_y pres.max_x pres.max_y pres.min_x pres.min_y pres.R] = singhal_met(presSec,presMeas);

f4 = figure(4);
plot(presSec,presMeas,'black');%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
%axis([1000 1800 -0.6 0.6]);
ylabel('Control error (bar)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
%stem_y = [level.A1_int_y;level.A2_int_y]';
h3 = stem(presSec,pres.A1_int_y);
set(h3,'marker','none');
set(h3,'color','red');
h4 = stem(presSec,pres.A2_int_y);
set(h4,'marker','none');
set(h4,'color','blue');
hold off;
set(f4, 'PaperUnits', 'centimeters');
set(f4, 'PaperSize', [15 10]);
set(f4, 'PaperPosition', [0 0 15 10]);
saveas(f4,'alg_realtest_level','pdf')

presStat = analyzeData(pres,presSec);


%%




%%
[A1_int_y A2_int_y zero_cross_x zero_cross_y max_x max_y min_x min_y R] = singhal_met(x,y);
%find first zero crossing
% j=1;
% while sign(y(j))==sign(y(j+1))
%     j = j + 1;
% end
% zero_cross_x(1) = j;
% zero_c = zero_c + 1;
% rise = sign(y(j+2)-y(j+1));


figure(2)
plot(x,y);%,max_x,max_y, 'o',min_x,min_y, 'x',zero_cross_x,zero_cross_y,'*'  )
%axis([1000 1800 -0.6 0.6]);
ylabel('Control error (bar)');
xlabel('Time (s)')
hold on;
%legend('''Top','Bottom','Zero_cross')
stem_y = [A1_int_y;A2_int_y]';
h = stem(x,A1_int_y);
set(h,'marker','none');
set(h,'color','red');
h = stem(x,A2_int_y);
set(h,'marker','none');
set(h,'color','blue');
hold off;
set(gcf, 'PaperUnits', 'centimeters');
set(gcf, 'PaperSize', [15 10]);
set(gcf, 'PaperPosition', [0 0 15 10]);
%saveas(gcf,'alg_sim_pres_H_visual','pdf')


M = mean(R(1:length(R)));

figure(3)
plot(1:length(R),R,'*')


