clear all
clc
Mw_o   = 86/1000;   
Mw_g   = 16/1000;

load C:\Master\Kompressor_simulering\Simulation\Results\05.05.09\No_stiction\no_stiction.mat
time = S1_Foout.time;
Z_in_ss = S1_Zin.signals.values;
F_in = Fin.signals.values;
M_oin_ss = S1_Foin.signals.values*Mw_o;
M_gin_ss = F_in .* (Z_in_ss) * Mw_o;

M_oout_ss = S2_Foout.signals.values * Mw_o;
M_gout_ss = Tot_Mgout.signals.values;

load C:\Master\Kompressor_simulering\Simulation\Results\04.05.09sinsmall\No_stiction\no_stiction.mat

Z_in_sin = S1_Zin.signals.values;
M_oin_sin = S1_Foin.signals.values*Mw_o;
M_gin_sin = F_in .* (Z_in_sin)* Mw_o;

M_oout_sin = S2_Foout.signals.values * Mw_o;
M_gout_sin = Tot_Mgout.signals.values;

load C:\Master\Kompressor_simulering\Simulation\Results\04.05.09sawsmall\No_stiction\no_stiction.mat

Z_in_saw = S1_Zin.signals.values;
M_oin_saw = S1_Foin.signals.values*Mw_o;
M_gin_saw = F_in .* (Z_in_saw)* Mw_o;

M_oout_saw = S2_Foout.signals.values * Mw_o;
M_gout_saw = Tot_Mgout.signals.values;

close all
f1 = figure(1)
plot(time, M_gin_ss,time,M_gin_sin,'--',time,M_gin_saw, '-.',time,M_oin_ss, time,M_oin_sin,'--',time,M_oin_saw, '-.');

xlabel('Time(s)');ylabel('Mass flow (kg/s)');
set(f1,'PaperSize',[15 4]);
% 
% subplot(2,1,1)
% plot(time, M_gin_ss,time,M_gin_sin,'--',time,M_gin_saw, '-.',time,M_gout_ss,time,M_gout_sin,time,M_gout_saw);
% axis([200 2000 0 400]);
% subplot(2,1,2)
% plot(time,M_oin_ss, time,M_oin_sin,'--',time,M_oin_saw, '-.',time,M_oout_ss,time,M_oout_sin,time,M_oout_saw);
% axis([200 2000 400 800]);